# HG changeset patch
# Node ID d7f85ed1d848
# Parent  bb457ce5ad5e
diff --git a/pidgin/gtkblist.c b/pidgin/gtkblist.c
--- a/pidgin/gtkblist.c
+++ b/pidgin/gtkblist.c
@@ -41,7 +41,6 @@
 #include "pidgin/pidginaccountstore.h"
 #include "pidgin/pidginactiongroup.h"
 #include "pidgin/pidgincellrendererexpander.h"
-#include "pidgin/pidginclosebutton.h"
 #include "pidgin/pidgincontactlistwindow.h"
 #include "pidgin/pidgincore.h"
 #include "pidgin/pidgindebug.h"
diff --git a/pidgin/gtkconv.c b/pidgin/gtkconv.c
--- a/pidgin/gtkconv.c
+++ b/pidgin/gtkconv.c
@@ -45,7 +45,6 @@
 #include "gtkprivacy.h"
 #include "gtkutils.h"
 #include "pidginavatar.h"
-#include "pidginclosebutton.h"
 #include "pidgincolor.h"
 #include "pidginconversationwindow.h"
 #include "pidgincore.h"
diff --git a/pidgin/meson.build b/pidgin/meson.build
--- a/pidgin/meson.build
+++ b/pidgin/meson.build
@@ -31,7 +31,6 @@
 	'pidginattachment.c',
 	'pidginavatar.c',
 	'pidgincellrendererexpander.c',
-	'pidginclosebutton.c',
 	'pidgincolor.c',
 	'pidgincommands.c',
 	'pidginconversationwindow.c',
@@ -107,7 +106,6 @@
 	'pidginattachment.h',
 	'pidginavatar.h',
 	'pidgincellrendererexpander.h',
-	'pidginclosebutton.h',
 	'pidgincolor.h',
 	'pidginconversationwindow.h',
 	'pidgincontactlistwindow.h',
diff --git a/pidgin/pidginclosebutton.h b/pidgin/pidginclosebutton.h
deleted file mode 100644
--- a/pidgin/pidginclosebutton.h
+++ /dev/null
@@ -1,61 +0,0 @@
-/*
- * pidgin
- *
- * Pidgin is the legal property of its developers, whose names are too numerous
- * to list here.  Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, see <https://www.gnu.org/licenses/>.
- */
-
-#if !defined(PIDGIN_GLOBAL_HEADER_INSIDE) && !defined(PIDGIN_COMPILATION)
-# error "only <pidgin.h> may be included directly"
-#endif
-
-#ifndef PIDGIN_CLOSE_BUTTON_H
-#define PIDGIN_CLOSE_BUTTON_H
-
-#include <glib.h>
-
-#include <gtk/gtk.h>
-
-G_BEGIN_DECLS
-
-/**
- * PidginCloseButton:
- *
- * #PidginCloseButton is a transitional widget as we slowly migrate the
- * conversation window to glade.
- *
- * Since: 3.0.0
- */
-
-#define PIDGIN_TYPE_CLOSE_BUTTON (pidgin_close_button_get_type())
-G_DECLARE_FINAL_TYPE(PidginCloseButton, pidgin_close_button, PIDGIN,
-                     CLOSE_BUTTON, GtkButton)
-
-/**
- * pidgin_close_button_new:
- *
- * Creates a new #PidginCloseButton instance.
- *
- * Returns: (transfer full): The new #PidginCloseButton instance.
- *
- * Since: 3.0.0
- */
-GtkWidget *pidgin_close_button_new(void);
-
-G_END_DECLS
-
-#endif /* PIDGIN_CLOSE_BUTTON_H */
diff --git a/pidgin/pidginclosebutton.c b/pidgin/pidginclosebutton.c
deleted file mode 100644
--- a/pidgin/pidginclosebutton.c
+++ /dev/null
@@ -1,54 +0,0 @@
-/*
- * pidgin
- *
- * Pidgin is the legal property of its developers, whose names are too numerous
- * to list here.  Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, see <https://www.gnu.org/licenses/>.
- */
-
-#include "pidginclosebutton.h"
-
-struct _PidginCloseButton {
-	GtkButton parent;
-};
-
-/******************************************************************************
- * GObject Implementation
- *****************************************************************************/
-G_DEFINE_TYPE(PidginCloseButton, pidgin_close_button, GTK_TYPE_BUTTON)
-
-static void
-pidgin_close_button_init(PidginCloseButton *button) {
-	gtk_widget_init_template(GTK_WIDGET(button));
-}
-
-static void
-pidgin_close_button_class_init(PidginCloseButtonClass *klass) {
-	GtkWidgetClass *widget_class = GTK_WIDGET_CLASS(klass);
-
-	gtk_widget_class_set_template_from_resource(
-	    widget_class,
-	    "/im/pidgin/Pidgin3/closebutton.ui"
-	);
-}
-
-/******************************************************************************
- * Public API
- *****************************************************************************/
-GtkWidget *
-pidgin_close_button_new(void) {
-	return GTK_WIDGET(g_object_new(PIDGIN_TYPE_CLOSE_BUTTON, NULL));
-}
diff --git a/pidgin/resources/closebutton.ui b/pidgin/resources/closebutton.ui
deleted file mode 100644
--- a/pidgin/resources/closebutton.ui
+++ /dev/null
@@ -1,43 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!-- Generated with glade 3.22.2 
-
-Pidgin - Internet Messenger
-Copyright (C) Pidgin Developers <devel@pidgin.im>
-
-This program is free software; you can redistribute it and/or
-modify it under the terms of the GNU General Public License
-as published by the Free Software Foundation; either version 2
-of the License, or (at your option) any later version.
-
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
-
-You should have received a copy of the GNU General Public License
-along with this program; if not, see <https://www.gnu.org/licenses/>.
-
--->
-<interface>
-  <requires lib="gtk+" version="3.20"/>
-  <!-- interface-license-type gplv2 -->
-  <!-- interface-name Pidgin -->
-  <!-- interface-description Internet Messenger -->
-  <!-- interface-copyright Pidgin Developers <devel@pidgin.im> -->
-  <template class="PidginCloseButton" parent="GtkButton">
-    <property name="visible">True</property>
-    <property name="can_focus">True</property>
-    <property name="focus_on_click">False</property>
-    <property name="receives_default">True</property>
-    <property name="tooltip_text" translatable="yes">Close</property>
-    <property name="relief">none</property>
-    <child>
-      <object class="GtkLabel">
-        <property name="visible">True</property>
-        <property name="can_focus">False</property>
-        <property name="label" translatable="yes">×</property>
-        <property name="single_line_mode">True</property>
-      </object>
-    </child>
-  </template>
-</interface>
diff --git a/pidgin/resources/pidgin.gresource.xml b/pidgin/resources/pidgin.gresource.xml
--- a/pidgin/resources/pidgin.gresource.xml
+++ b/pidgin/resources/pidgin.gresource.xml
@@ -41,7 +41,6 @@
     <file compressed="true">Status/manager.ui</file>
     <file compressed="true">Whiteboard/whiteboard.ui</file>
     <file compressed="true">Xfer/xfer.ui</file>
-    <file compressed="true">closebutton.ui</file>
     <file compressed="true">gtk/menus.ui</file>
     <file compressed="true">presenceicon.ui</file>
     <file compressed="true">proxyoptions.ui</file>
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -348,7 +348,6 @@
 pidgin/pidginavatar.c
 pidgin/pidgin.c
 pidgin/pidgincellrendererexpander.c
-pidgin/pidginclosebutton.c
 pidgin/pidgincolor.c
 pidgin/pidgincommands.c
 pidgin/pidgincontactlistwindow.c
@@ -405,7 +404,6 @@
 pidgin/resources/Avatar/avatar.ui
 pidgin/resources/Avatar/menu.ui
 pidgin/resources/BuddyList/window.ui
-pidgin/resources/closebutton.ui
 pidgin/resources/Conversations/infopane.ui
 pidgin/resources/Conversations/invite_dialog.ui
 pidgin/resources/Conversations/window.ui
